--- xfractint-20.04p16/Makefile.orig	2020-08-01 18:19:09
+++ xfractint-20.04p16/Makefile	2024-06-19 14:38:29
@@ -2,6 +2,8 @@
 STRIP = strip
 INSTALL = /usr/bin/install
 
+PREFIX = $(DESTDIR)__PREFIX__
+
 # Architecture
 # automatic detection
 ARCH = `uname -m | tr "_" "-"`
@@ -20,26 +22,19 @@
 
 # Use Xft/fontconfig libraries
 WITHXFT = -DWITH_XFT
-XFTHFD = /usr/include/freetype2
+XFTHFD = $(PREFIX)/include/freetype2
 # Or not
 # WITHXFT =
 # XFTHFD =
 
-ifndef PREFIX
-PREFIX = /usr
-endif
-ifndef DESTDIR
-DESTDIR = $(PREFIX)
-endif
-
 # SRCDIR should be a path to the directory that will hold fractint.hlp
 # SRCDIR should also hold the .par, .frm, etc. files
-SRCDIR = $(DESTDIR)/share/xfractint
+SRCDIR = $(PREFIX)/share/xfractint
 SHRDIR = $(PREFIX)/share/xfractint
 # BINDIR is where you put your X11 binaries
-BINDIR = $(DESTDIR)/bin
+BINDIR = $(PREFIX)/bin
 # MANDIR is where you put your chapter 1 man pages
-MANDIR = $(DESTDIR)/share/man/man1
+MANDIR = $(PREFIX)/share/man/man1
 
 HFD = ./headers
 UDIR = ./unix
@@ -142,6 +137,8 @@
 
 endif
 
+CFLAGS += -I$(PREFIX)/include/X11
+
 # Gcc is often the only compiler that works for this
 # For HPUX, use CC = cc -Aa -D_HPUX_SOURCE
 # For AIX, maybe use CC = xlc, but other AIX users found cc works, xlc doesn't.
@@ -168,6 +165,8 @@
 LIBS = -L/usr/X11R6/lib -lX11 -lm -no-pie
 endif
 
+LIBS = -L$(PREFIX)/lib -lX11 -lm
+
 ifeq ($(NCURSES),-DNCURSES)
 LIBS += -lncurses
 endif
@@ -349,15 +348,15 @@
 #	$(STRIP) xfractint
 	$(INSTALL) -d $(BINDIR) $(MANDIR) $(SRCDIR)/$(PDIR) $(SRCDIR)/$(FDIR) \
 		$(SRCDIR)/$(IDIR) $(SRCDIR)/$(LDIR) $(SRCDIR)/$(MDIR) $(SRCDIR)/$(XDIR)
-	$(INSTALL) xfractint -T $(BINDIR)/xfractint;
-	$(INSTALL) -m 644 -T $(UDIR)/xfractint.man $(MANDIR)/xfractint.1;
-	$(INSTALL) -m 644 -t $(SRCDIR) fractint.hlp sstools.ini $(DOCS)
-	$(INSTALL) -m 644 -t $(SRCDIR)/$(PDIR) $(PARFILES)
-	$(INSTALL) -m 644 -t $(SRCDIR)/$(FDIR) $(FRMFILES)
-	$(INSTALL) -m 644 -t $(SRCDIR)/$(IDIR) $(IFSFILES)
-	$(INSTALL) -m 644 -t $(SRCDIR)/$(LDIR) $(LFILES)
-	$(INSTALL) -m 644 -t $(SRCDIR)/$(MDIR) $(MAPFILES)
-	$(INSTALL) -m 644 -t $(SRCDIR)/$(XDIR) $(XTRAFILES)
+	$(INSTALL) xfractint $(BINDIR)/xfractint;
+	$(INSTALL) -m 644 $(UDIR)/xfractint.man $(MANDIR)/xfractint.1;
+	$(INSTALL) -m 644 fractint.hlp sstools.ini $(DOCS) $(SRCDIR)
+	$(INSTALL) -m 644 $(PARFILES) $(SRCDIR)/$(PDIR)
+	$(INSTALL) -m 644 $(FRMFILES) $(SRCDIR)/$(FDIR)
+	$(INSTALL) -m 644 $(IFSFILES) $(SRCDIR)/$(IDIR)
+	$(INSTALL) -m 644 $(LFILES) $(SRCDIR)/$(LDIR)
+	$(INSTALL) -m 644 $(MAPFILES) $(SRCDIR)/$(MDIR)
+	$(INSTALL) -m 644 $(XTRAFILES) $(SRCDIR)/$(XDIR)
 
 uninstall:
 	cd $(SRCDIR); rm -f $(PARFILES)
